2020-07-13 04:11 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002681NetSurfLayoutpublic2020-05-27 09:22
ReporterDave Higton 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformBeagleBoard xMOSRISC OSOS Version5.27
Product Version3.9 
Target Version3.10Fixed in Version3.10 
Summary0002681: PNGs displayed with wrong aspect ratio
DescriptionEmail flyers from 7dayshop have PNG images that display at about half width - all the image is shown but the aspect ratio is very wrong. The style attributes limit its maximum width, but I think NS must be forgetting to constrain the height so as to maintain the proportion.

I can't simply post the HTML content of the flyer, or the link, without a lot of work, because they link to my 7DayShop account, so I'll have to hope that the "style" excerpt below is sufficient to trace the problem.
Additional Informationstyle="outline: none; text-decoration: none; -ms-interpolation-mode: bicubic; clear: both; height: auto; float: none; border: none; width: 100%; max-width: 300px; display: block;"

Doubling the max-width value allows the image to be displayed correctly.
TagsNo tags attached.
Fixed in CI build #4725
Reported in CI build #4714
URL of problem page
Attached Files
  • ? file icon Demo (449,028 bytes) 2019-07-13 18:11

-Relationships
+Relationships

-Notes
Dave Higton

~0001986

Dave Higton (developer)

The file "Demo" has been stripped down from the original email attachment, and, hopefully, depersonalised. It demonstrates the issue I'm seeing.
Michael Drake

~0002030

Michael Drake (administrator)

Should be fixed in version 4724. If you make the window really narrow and reload, it should also do the mobile version correctly.
Dave Higton

~0002031

Dave Higton (developer)

Build 4725 appeared before I got to try 4724, and I can confirm that it's fixed, so I'm closing it.
Vincent Sanders

~0002032

Vincent Sanders (administrator)

setting back to resolved so when 3.10 is release we know what is in it
Vincent Sanders

~0002257

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2019-07-09 17:21 Dave Higton New Issue
2019-07-13 18:11 Dave Higton File Added: Demo
2019-07-13 18:12 Dave Higton Note Added: 0001986
2019-07-31 07:04 Michael Drake Assigned To => Michael Drake
2019-07-31 07:04 Michael Drake Status new => resolved
2019-07-31 07:04 Michael Drake Resolution open => fixed
2019-07-31 07:04 Michael Drake Fixed in Version => 3.10
2019-07-31 07:04 Michael Drake Target Version => 3.10
2019-07-31 07:04 Michael Drake Description Updated View Revisions
2019-07-31 07:04 Michael Drake Additional Information Updated View Revisions
2019-07-31 07:04 Michael Drake Note Added: 0002030
2019-07-31 12:27 Dave Higton Status resolved => closed
2019-07-31 12:27 Dave Higton Fixed in CI build # => 4725
2019-07-31 12:27 Dave Higton Note Added: 0002031
2019-07-31 12:36 Vincent Sanders Status closed => resolved
2019-07-31 12:36 Vincent Sanders Note Added: 0002032
2020-05-27 09:22 Vincent Sanders Status resolved => closed
2020-05-27 09:22 Vincent Sanders Note Added: 0002257
+Issue History